package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.CategoryCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.CategoryDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.CategoryUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.CategoryPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.CategoryShowQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.CategoryTreeQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.CategoryVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

public interface CategoryServiceI {
	List<CategoryVO> list(CategoryTreeQry categoryTreeQry);

	CategoryVO create(CategoryCreateCmd categoryCreateCmd);

	CategoryVO update(CategoryUpdateCmd categoryUpdateCmd);

	CategoryVO show(CategoryShowQry categoryShowQry);

	void destroy(CategoryDestroyCmd categoryDestroyCmd);

	PageDTO<CategoryVO> page(CategoryPageQry categoryPageQry);
}
